﻿<?php
/**
 * Class OSMembershipViewOverrideRegisterHtml
 *
 * Display the referrer from affiliate tracker in the registration form
 * a field has been added - in this case called Referrer - which displays the name of the person who referred.
 * Added this CSS to make the field readonly
 * #Referrer{
 *
 * pointer-events: none;
 * border-color : grey;
 * color:grey;
 *
 * }
 */

defined('_JEXEC') or die;

class OSMembershipViewOverrideRegisterHtml extends OSMembershipViewRegisterHtml
{
	public function getReferrer()
	{
		$app   = JFactory::getApplication();
		$value = $app->input->cookie->get('atid=', 0);

		if ($value == null)
		{

			$value = htmlspecialchars($_GET["atid"]);

			$time = time() + 7776000; // 90 days
			$app->input->cookie->set($name = 'atid', $value, $time);

		}

		$db    = JFactory::getDbo();
		$query = $db->getQuery(true)
			->select('name')
			->from('referrals')
			->where('atid = ' . $value);
		$db->setQuery($query);
		$name = $db->loadResult();


		return $name;
	}

	/**
	 * Get data using for subscription form
	 *
	 * @param MPFInput $input
	 * @param JUser    $user
	 * @param int      $planId
	 * @param array    $rowFields
	 * @param stdClass $config
	 *
	 * @return array
	 */
	protected function getFormData($input, $user, $planId, $rowFields, $config)
	{
		$data = parent::getFormData($input, $user, $planId, $rowFields, $config);

		// Here is where I add the referrer name to the form
		$data['Referrer'] = $this->getReferrer();
		
		return $data;
	}
}